# DAGetInjection

Gets an injection matrix that maps between grids associated with two DAs.

### Synopsis

    #include "petscda.h"
    PetscErrorCode PETSCDM_DLLEXPORT DAGetInjection(DA dac,DA daf,VecScatter *inject)

Collective on DA

### Input Parameters

| dac | - the coarse grid DA
| daf | - the fine grid DA

### Output Parameters

inject -the injection scatter

### Keywords

interpolation, restriction, multigrid, injection

### See Also

DARefine(), DAGetInterpolation()

Level:intermediate
Location: src/dm/da/src/dainterp.c
Index of all DA routines
Table of Contents for all manual pages
Index of all manual pages